summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andre Barboza <bmg.andre@gmail.com>2017-01-11 01:34:06 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-01-11 01:34:06 +0700
commitd576582f23869e1af547450434fab0296647bc35 (patch)
tree2efb24ff2c8b365d33d21d805d8e1009c8f44007
parent7a07d454463fde80648ed2e9d0487e0b15152668 (diff)
downloadslackbuilds-d576582f23869e1af547450434fab0296647bc35.tar.gz
slackbuilds-d576582f23869e1af547450434fab0296647bc35.tar.xz
development/reckless: Added (logging library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/reckless/README17
-rw-r--r--development/reckless/reckless.SlackBuild100
-rw-r--r--development/reckless/reckless.info10
-rw-r--r--development/reckless/slack-desc19
4 files changed, 146 insertions, 0 deletions
diff --git a/development/reckless/README b/development/reckless/README
new file mode 100644
index 0000000000..9cb58fc3c9
--- /dev/null
+++ b/development/reckless/README
@@ -0,0 +1,17 @@
+Reckless is an extremely low-latency, high-throughput logging library.
+It was created to perform extensive diagnostic logging without
+worrying about performance. Other logging libraries boast the ability
+to throw log messages away very quickly. Reckless boasts the ability
+to keep them all, without worrying about the performance impact.
+Filtering can and should wait until you want to read the log, or need
+to clean up disk space.
+
+The code generated at the call site consists of:
+
+- Pushing the arguments on a thread-local queue. This has the same
+ cost as pushing the arguments on the stack for a normal function
+ call.
+- Call to Boost.Lockless (NB: this is bundled with the library, not
+ an external dependency) to register the write request on a shared
+ lockless queue. The actual message formatting and writing is
+ performed asynchronously by a separate thread.
diff --git a/development/reckless/reckless.SlackBuild b/development/reckless/reckless.SlackBuild
new file mode 100644
index 0000000000..7da60bb2a6
--- /dev/null
+++ b/development/reckless/reckless.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for reckless
+
+# Copyright 2017 Andre Barboza, Belo Horizonte - Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=reckless
+VERSION=${VERSION:-2.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Use system boost
+( cd reckless/include/reckless/
+ sed -i.bkp 's/boost_1_56_0/boost/g' *.hpp
+ cd detail
+ sed -i.bkp 's/boost_1_56_0/boost/g' *.hpp
+)
+CXXFLAGS="-std=c++11 ${SLKCFLAGS} -Ireckless/include" make -e
+
+# install lib
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+install -m644 reckless/lib/libasynclog.a $PKG/usr/lib${LIBDIRSUFFIX}
+
+# install include
+mkdir -p $PKG/usr/include/reckless/detail
+install -m644 reckless/include/reckless/*.hpp $PKG/usr/include/reckless
+install -m644 reckless/include/reckless/detail/*.hpp $PKG/usr/include/reckless/detail
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.txt README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/reckless/reckless.info b/development/reckless/reckless.info
new file mode 100644
index 0000000000..5109b921ed
--- /dev/null
+++ b/development/reckless/reckless.info
@@ -0,0 +1,10 @@
+PRGNAM="reckless"
+VERSION="2.2.0"
+HOMEPAGE="https://github.com/mattiasflodin/reckless"
+DOWNLOAD="https://github.com/mattiasflodin/reckless/archive/v2.2.0/reckless-2.2.0.tar.gz"
+MD5SUM="fbf58a4729aeaeb4413b87bb8b52b90a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andre Barboza"
+EMAIL="bmg.andre@gmail.com"
diff --git a/development/reckless/slack-desc b/development/reckless/slack-desc
new file mode 100644
index 0000000000..ca86b52ea7
--- /dev/null
+++ b/development/reckless/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+reckless: reckless (low-latency and high-throughput logging library)
+reckless:
+reckless: Reckless is an extremely low-latency, high-throughput logging
+reckless: library. It was created to perform extensive diagnostic logging
+reckless: without worrying about performance. Reckless boasts the ability
+reckless: to keep all log messages, without worrying about the performance
+reckless: impact.
+reckless:
+reckless:
+reckless: https://github.com/mattiasflodin/reckless
+reckless: